WhatsApp stops working on some devices in major 2020 update

Chris Burns - Dec 12, 2019, 3:47 pm CST
0
WhatsApp stops working on some devices in major 2020 update

WhatsApp will stop working for some older devices in early 2020 in one of the biggest updates in the app’s history. For affected older versions of operating systems affected, WhatsApp developers suggested the following: “Because we no longer actively develop for these operating systems, some features might stop functioning at any time.”

WhatsApp for Windows Phone

We’ve known for a while that Windows Phone apps of all sorts were on the way out. The most recent indicator of death for Windows Phone was the Windows 10 Mobile (Windows Phone) end of life announcement as released on December 8th, 2019, directed at December 10, 2019.

WhatsApp stopped updating and supporting their app for Windows Phone earlier this year – it’s unlikely WhatsApp will still appear in the Microsoft Store by the time you read this article. WhatsApp will stop working on ALL Windows Phone operating systems after December 31, 2019.

Android Phones and Tablets

You cannot currently use WhatsApp on any version of Android lower than 2.3.7 – that’s been in play for a few years. You’ll have difficulty even finding an Android phone with that old a version of Android, but if you DO, that’s the deal.

Android versions between 2.3.7 and 4.0.3 will continue to work until February 1, 2020. Lower than Android 4.0.3 will not be able to create new accounts or “reverify” existing accounts. Starting on February 1, 2020, WhatsApp will no longer work on Android versions lower than Android 4.0.3.

iOS for iPhone, iPad

Your iPhone or iPad will continue to work with WhatsApp on iOS 8 until February 1, 2020. Lower than iOS 8 and WhatsApp should not currently (nor will likely ever) work. Your iPhone or iPad with iOS 8 will no longer be able to create new accounts or reverify existing accounts on WhatsApp at any point.

Starting on February 1, 2020, WhatsApp will cease to function on iPhone and iPad devices running any iOS less than iOS 9. You will need at least iOS 9 to run WhatsApp starting on February 1, 2020.

You could always go ahead and use WhatsApp Web, but you’ll probably still need a functional WhatsApp app on your phone to get that started. You might also want to consider this a good point at which to stop using WhatsApp right now.


Must Read Bits & Bytes